Subject: Re: bug#41627: 28.0.50; Emacs with cairo build segfault in HELLO file

From: Robert Pluim <[email-masked]>
Date: Wed, 21 Oct 2020 17:58:30 +0200

>>>>> On Sun, 27 Sep 2020 16:29:33 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Pip Cet <[email-masked]> writes:
    >> As I said, "I suspect the attached patch will work, but if this is
    >> something Cairo does in other places it needs to be checked." Some
    >> initial investigation reveals that yes, Cairo does it all over the
    >> place.

    Lars> Did you get any further here?  The posted patch wasn't applied, as far
    Lars> as I can see, but would apparently have fixed the HELLO segfault, so
    Lars> that seems worth it on its own (although the other calls to
    Lars> cairo_ft_scaled_font_lock_face should also be fixed)...

All the other calls to cairo_ft_scaled_font_lock_face use the
cr_scaled_font member of the font_info passed in, which I think means
thatʼs only done for fonts which were opened successfully.

Robert
--